Name:           gnaughty
Version:        1.2.0
Release:        1%{?dist}
Summary:        Porn Downloader
Group:          Applications/Internet
License:        GPLv2+
URL:            http://gnaughty.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    libglade2-devel
BuildRequires:    gtk2-devel
BuildRequires:    GConf2-devel
BuildRequires:    libcurl-devel
BuildRequires:    pcre-devel
BuildRequires:    desktop-file-utils

Requires(pre):    GConf2
Requires(preun):  GConf2
Requires(post):   GConf2


%description
Application to download automatically adult sex content, i.e. porn movies and 
pictures, from a known internet porn directory.

Features:
 * No spyware, no adware
 * Free software, provided under the GPL license
 * Wide variaty of porn categories
 * Fast parallel downloads
 * Proxy support
 * Many more...


%prep
%setup -q

sed -i 's|Icon=%{name}.png|Icon=%{name}|g' %{name}.desktop


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

make install DESTDIR=%{buildroot} INSTALL="install -p"

desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications \
        %{buildroot}/%{_datadir}/applications/%{name}.desktop


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
    gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
    gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :


%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu May 28 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.2.0-1
- Initial package build
